Bug 1123277 - Main grid's refresh button is hidden in low screen resolution
Summary: Main grid's refresh button is hidden in low screen resolution
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 08:32 UTC by Gilad Chaplik
Modified: 2016-02-10 19:46 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:38:57 UTC
oVirt Team: UX


Attachments (Terms of Use)
no-refresh-button (95.88 KB, image/png)
2014-07-25 08:32 UTC, Gilad Chaplik
no flags Details
screen-cast showing when the refresh button is hidden (2.37 MB, video/ogg)
2014-08-05 15:12 UTC, Einav Cohen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32882 master MERGED userportal,webadmin: refresh wraps. Never
oVirt gerrit 33551 ovirt-engine-3.5 MERGED userportal,webadmin: refresh wraps. Never
Red Hat Bugzilla 1163929 None None None Never

Internal Links: 1163929

Description Gilad Chaplik 2014-07-25 08:32:28 UTC
Created attachment 920905 [details]
no-refresh-button

Description of problem:
Refresh button is hidden, when resolution is low, or when zooming in - unlike other main grid's buttons.

Comment 1 Einav Cohen 2014-08-05 15:12:11 UTC
Created attachment 924238 [details]
screen-cast showing when the refresh button is hidden

Comment 2 Einav Cohen 2014-08-05 15:13:53 UTC
see attachment 924238 [details]: at a certain point, the refresh button is hidden (and he is not being collapsed under the buttons drop-down that was added as part of the low resolution support). 

the 'refresh' button should remain on the right-hand side of the panel (just like the paging widgets next to it) and never be hidden.

Comment 3 Alexander Wels 2014-08-05 15:34:05 UTC
Looks like something threw off the calculation of how big the right hand side is. I will have to investigate what happened.

Comment 4 Einav Cohen 2014-09-16 18:15:07 UTC
worth backporting to 3.5.

Comment 5 Einav Cohen 2014-09-30 14:23:11 UTC
moving back to POST (this is targeted for 3.5). 
@Alex - backport?

Comment 6 Sandro Bonazzola 2014-10-17 12:38:57 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.